summaryrefslogtreecommitdiff
path: root/scripts/x509fingerprint.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/x509fingerprint.sh')
-rw-r--r--scripts/x509fingerprint.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/scripts/x509fingerprint.sh b/scripts/x509fingerprint.sh
new file mode 100644
index 0000000..5550150
--- /dev/null
+++ b/scripts/x509fingerprint.sh
@@ -0,0 +1,10 @@
+
+cert=$1
+[ -f "$cert" ] || (echo "$0: Provide path to certificate as argument."; exit 2;)
+
+openssl x509 -sha1 -in $cert -noout -fingerprint | tr -d ':'
+openssl x509 -sha224 -in $cert -noout -fingerprint | tr -d ':'
+openssl x509 -sha256 -in $cert -noout -fingerprint | tr -d ':'
+openssl x509 -sha512 -in $cert -noout -fingerprint | tr -d ':'
+
+exit $?